2019-05-21 17:41 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000016QElectroTechDiagram Editorpublic2008-10-08 11:55
Reporterxavier 
Assigned Toxavier 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformX11OSGNU/LinuxOS Versionlatest
Product Version0.1 
Target Version0.2Fixed in Version0.1b 
Summary0000016: Mauvaise gestion des modifications du texte d'un conducteur
DescriptionLorsqu'on modifie le texte d'un conducteur directement sur le schéma, c'est-à-dire sans passer par les propriétés du conducteur, cette modification n'est pas répercutée dans les propriétés du conducteur. La conséquence est que les textes des conducteurs ainsi spécifiés ne sont pas enregistrés dans les fichiers malgré leur visibilité.
Steps To Reproduce * Exécuter QElectroTech
 * S'assurer que les propriétés par défaut des conducteurs arborent un champ de texte ( = multifilaire)
 * Poser deux éléments sur un schéma en laissant de l'espace entre les deux
 * Relier les deux éléments par un conducteur
 * Cliquer dans le texte du conducteur
 * Changer le texte du conducteur en "test"
 * Facultatif : éditer les propriétés du conducteur pour voir la non-répercussion de la modification
 * Enregistrer le schéma
 * Fermer le schéma
 * Rouvrir le schéma
 * Le conducteur devrait arborer le texte par défaut au lieu de "test"
Additional InformationÀ noter que la modification dans les propriétés du conducteur est bien répercutée sur le champ de texte visuel.

Workaround : éditer les propriétés du conducteur (double-clic ou Ctrl+J) pour en modifier le texte.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0000018

xavier (reporter)

Last edited: 2008-07-11 17:56

Résolu à partir de la révision 346.

+Notes

-Issue History
Date Modified Username Field Change
2008-07-08 22:23 xavier New Issue
2008-07-08 22:23 xavier Status new => assigned
2008-07-08 22:23 xavier Assigned To => xavier
2008-07-10 00:45 xavier Status assigned => resolved
2008-07-10 00:45 xavier Fixed in Version => 0.2
2008-07-10 00:45 xavier Resolution open => fixed
2008-07-10 00:45 xavier Note Added: 0000018
2008-07-11 17:56 xavier Note Edited: 0000018
2008-10-08 11:55 xavier Status resolved => closed
2008-10-08 11:55 xavier Fixed in Version 0.2 => 0.1b
2013-06-09 14:08 scorpio810 Category Éditeur de schémas => Diagram Editor
+Issue History